[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLazComponentQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Publishes property from the ancestor class.

## Declaration

Source position: lresources.pp line 435

`type TLazComponentQueue = class(TCustomLazComponentQueue)`
`published`
`property Name;` |  | Published Name for the component queue.
`property OnFindComponentClass: TFindComponentClassEvent;` |  | Published event handler used to get the class type for a give class name.
`end;`

## Inheritance

`TLazComponentQueue` |  | Publishes property from the ancestor class.
`TCustomLazComponentQueue` |  | A queue to stream components, used for multi-threading or network.
`TComponent`
?
`TObject`